GCLOUD_SERVICE-MANAGEMENT_UNDELETE(1)

NAME

gcloud service-management undelete - undeletes a service given a service name

SYNOPSIS

gcloud service-management undelete SERVICE [--async] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Undeletes a service configuration that was previously deleted. Services that are deleted will be retained in the system for 30 days. If a deleted service is still within this retention window, it can be undeleted with this command. Note that this means that this command will not be effective for service configurations marked for deletion more than 30 days ago.

POSITIONAL ARGUMENTS

    SERVICE
        The name of the service to undelete.

FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To undelete a service named my-service, run:
    $ gcloud service-management undelete my-service
To run the same command asynchronously (non-blocking), run:
    $ gcloud service-management undelete my-service --async